{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-@l10n/en/simpay-flow/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition"]},"type":"markdown"},"seo":{"title":"Submerchant widget","description":"Znajdziesz tutaj wszystkie niezbędne informacje dotyczące integracji i obsługi systemu płatności SimPay.pl","siteUrl":"https://docs.simpay.pl","llmstxt":{"hide":false,"sections":[{"title":"Table of contents","includeFiles":["**/*"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"submerchant-widget","__idx":0},"children":["Submerchant widget"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Submerchants don't log in to the SimPay Partner Panel. If you want to give a submerchant access to features you don't build in your application, you can generate a link to the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["widget"]}," - a lightweight SimPay panel for that submerchant."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"generating-a-link","__idx":1},"children":["Generating a link"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X POST \"https://api.simpay.pl/flow/{flowServiceId}/submerchants/user-123/widgets\" \\\n  -H \"Authorization: Bearer YOUR_API_TOKEN\" \\\n  -H \"Accept: application/json\"\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"success\": true,\n  \"data\": {\n    \"url\": \"https://panel.simpay.pl/widget/flow/init/flow_aaaabbbb/flsm_aaaabbbb?token=...\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Specification: ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/apis/flow/flowsubmerchantwidget"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST .../submerchants/{submerchantId}/widgets"]}]},"."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning","name":"The link is valid for 5 minutes"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The link expires after ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["5 minutes"]},". Generate it when the submerchant wants to open the widget - e.g. after clicking a button in your application - and redirect them immediately."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The endpoint is limited to ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["5 requests per minute"]},"."]}]},"headings":[{"value":"Submerchant widget","id":"submerchant-widget","depth":1},{"value":"Generating a link","id":"generating-a-link","depth":2}],"frontmatter":{"seo":{"title":"Submerchant widget"}},"lastModified":"2026-10-01T15:18:54.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/en/simpay-flow/widget","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}